=== debian/control ===
Source: rpp
Section: devel
Priority: optional
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Utkarsh Raj <encode.sh@protonmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 hipcc,
 libhalf-dev,
 libomp-17-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/rpp.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rpp
Homepage: https://github.com/ROCm/rpp
Rules-Requires-Root: no

Package: librpp1-hip
Section: libs
Architecture: amd64 arm64 ppc64el
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: AMD ROCm Performance Primitives
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package ships the ROCm version of RPP.

Package: librpp-hip-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el
Depends:
 librpp1-hip (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: AMD ROCm Performance Primitives - development files
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package contains development files.
