=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE = 1

# filter incompatible options from affecting device code
CXXFLAGS := $(subst -fstack-protector-strong,-Xarch_host -fstack-protector-strong,$(CXXFLAGS))
CXXFLAGS := $(subst -fcf-protection,-Xarch_host -fcf-protection,$(CXXFLAGS))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DBACKEND=HIP \
	      -DCMAKE_CXX_COMPILER=hipcc \
	      -DGPU_TARGETS="gfx900;gfx906;gfx908;gfx90a;gfx942;gfx1030;gfx1100;gfx1101;gfx1102" \
	      -DRPP_AUDIO_SUPPORT=OFF \

override_dh_auto_test:
	:

# dwz doesn't fully support DWARF-5 yet, see #1016936
override_dh_dwz:
	:
