=== debian/watch ===
version=4
opts="searchmode=plain,\
dversionmangle=s/\+dfsg//, \
repacksuffix=+dfsg, \
filenamemangle=s%rocm-@ANY_VERSION@%rpp_$1.tar.xz%" \
https://api.github.com/repos/ROCm/rpp/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/rocm-?@ANY_VERSION@ debian
