## rpp 7.1.1+dfsg

=== debian/changelog ===
rpp (7.1.1+dfsg-1~exp1) experimental; urgency=medium

  [ Utkarsh Raj ]
  * New upstream version 7.1.1

  [ Cordell Bloor ]
  * d/control: add self to uploaders
  * d/control: limit architectures to amd64 as these packages
    use x86 intrinsics in their public interface
  * d/control: update package descriptions to be unique
  * d/copyright: update for upstream file reorganization and debian copyright
  * Add d/gbp.conf with repository defaults
    * Follow DEP-14
    * Use pristine-tar
    * Disable patch numbers
  * Add GPU architectures field to librpp2-hip package
  * Update standards version to 4.7.3
    * Remove priority field as the default value in dpkg is now optional
      and therefore does not need to be specified
  * d/control: remove redundant Rules-Requires-Root field
  * Remove audio support until libffts-dev is available
  * d/rules: use clang++ to avoid building C++ sources as HIP
  * d/rules: disable audio support for all packages
  * Add d/p/spelling.patch to fix spelling errors
  * Add d/upstream/metadata

 -- Cordell Bloor <cgmb@debian.org>  Wed, 11 Feb 2026 18:30:44 -0700

rpp (7.0.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 7.0.1
  * Add support for CPU and OpenCL backends.

 -- Utkarsh Raj <encode.sh@protonmail.com>  Sat, 20 Sep 2025 16:22:44 +0530

rpp (6.4.3+dfsg-1~exp2) experimental; urgency=medium

  * Add audio support.

 -- Utkarsh Raj <encode.sh@protonmail.com>  Thu, 04 Sep 2025 02:00:27 +0530
