=== debian/control ===
Source: rpp
Section: devel
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Utkarsh Raj <encode.sh@protonmail.com>,
 Cordell Bloor <cgmb@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 hipcc,
 libhalf-dev,
 libomp-dev,
 pkg-rocm-tools (>= 0.9.3~),
 opencl-dev,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/rocm-team/rpp.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rpp
Homepage: https://github.com/ROCm/rpp

Package: librpp2-hip
Section: libs
Architecture: amd64
XB-X-Rocm-Gpu-Architecture: ${rocm:GPU-Architecture}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: librpp2-ocl, librpp2
Replaces: librpp2-ocl, librpp2
Description: AMD ROCm Performance Primitives - HIP backend
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package contains the HIP version of the library.

Package: librpp-hip-dev
Section: libdevel
Architecture: amd64
Depends:
 librpp2-hip (= ${binary:Version}),
 ${misc:Depends},
Breaks: librpp-ocl-dev, librpp-dev
Replaces: librpp-ocl-dev, librpp-dev
Description: AMD ROCm Performance Primitives - HIP development files
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package contains development files for the HIP version.

Package: librpp2-ocl
Section: libs
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: librpp2-hip, librpp2
Replaces: librpp2-hip, librpp2
Description: AMD ROCm Performance Primitives - OpenCL backend
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package contains the OpenCL version of the library.

Package: librpp-ocl-dev
Section: libdevel
Architecture: amd64
Depends:
 librpp2-ocl (= ${binary:Version}),
 ${misc:Depends},
Breaks: librpp-hip-dev, librpp-dev
Replaces: librpp-hip-dev, librpp-dev
Description: AMD ROCm Performance Primitives - OpenCL development files
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package contains development files for the OpenCL version.

Package: librpp2
Section: libs
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: librpp2-hip, librpp2-ocl
Replaces: librpp2-hip, librpp2-ocl
Description: AMD ROCm Performance Primitives - CPU backend
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package contains the SIMD-based CPU version of the library.

Package: librpp-dev
Section: libdevel
Architecture: amd64
Depends:
 librpp2 (= ${binary:Version}),
 ${misc:Depends},
Breaks: librpp-hip-dev, librpp-ocl-dev
Replaces: librpp-hip-dev, librpp-ocl-dev
Description: AMD ROCm Performance Primitives - CPU development files
 ROCm Performance Primitives is a comprehensive high-performance
 computer vision library designed for AMD processors with HIP, OpenCL,
 and CPU backends. It offers a wide range of optimized functions for
 image manipulation, augmentation, and pre-processing, leveraging the
 capabilities of AMD hardware for accelerated performance.
 .
 This package contains development files for the CPU version.
